Index: source/flash/swfwriter.hxx
===================================================================
RCS file: /cvs/framework/filter/source/flash/swfwriter.hxx,v
retrieving revision 1.6
retrieving revision 1.6.6.1
diff -u -r1.6 -r1.6.6.1
--- source/flash/swfwriter.hxx	8 Sep 2005 21:44:35 -0000	1.6
+++ source/flash/swfwriter.hxx	19 Sep 2005 11:41:23 -0000	1.6.6.1
@@ -407,8 +407,8 @@
 	void Impl_writePolygon( const Polygon& rPoly, sal_Bool bFilled, const Color& rFillColor, const Color& rLineColor );
 	void Impl_writePolyPolygon( const PolyPolygon& rPolyPoly, sal_Bool bFilled, sal_uInt8 nTransparence = 0);
 	void Impl_writePolyPolygon( const PolyPolygon& rPolyPoly, sal_Bool bFilled, const Color& rFillColor, const Color& rLineColor );
-	void Impl_writeText( const Point& rPos, const String& rText, const long* pDXArray, long nWidth );
-	void Impl_writeText( const Point& rPos, const String& rText, const long* pDXArray, long nWidth, Color aTextColor );
+	void Impl_writeText( const Point& rPos, const String& rText, const sal_Int32* pDXArray, long nWidth );
+	void Impl_writeText( const Point& rPos, const String& rText, const sal_Int32* pDXArray, long nWidth, Color aTextColor );
 	void Impl_writeGradientEx( const PolyPolygon& rPolyPoly, const Gradient& rGradient );
 	void Impl_writeLine( const Point& rPt1, const Point& rPt2, const Color* pLineColor = NULL );
 	void Impl_writeRect( const Rectangle& rRect, long nRadX, long nRadY );
Index: source/flash/swfwriter1.cxx
===================================================================
RCS file: /cvs/framework/filter/source/flash/swfwriter1.cxx,v
retrieving revision 1.16
retrieving revision 1.16.6.1
diff -u -r1.16 -r1.16.6.1
--- source/flash/swfwriter1.cxx	8 Sep 2005 21:44:49 -0000	1.16
+++ source/flash/swfwriter1.cxx	19 Sep 2005 11:41:23 -0000	1.16.6.1
@@ -442,7 +442,7 @@
 
 // -----------------------------------------------------------------------------
 
-void Writer::Impl_writeText( const Point& rPos, const String& rText, const long* pDXArray, long nWidth )
+void Writer::Impl_writeText( const Point& rPos, const String& rText, const sal_Int32* pDXArray, long nWidth )
 {
 	const FontMetric aMetric( mpVDev->GetFontMetric() );
 
@@ -530,26 +530,26 @@
 	}
 }
 
-void Writer::Impl_writeText( const Point& rPos, const String& rText, const long* pDXArray, long nWidth, Color aTextColor )
+void Writer::Impl_writeText( const Point& rPos, const String& rText, const sal_Int32* pDXArray, long nWidth, Color aTextColor )
 {
 	sal_uInt32 nLen = rText.Len();
 
 	if( nLen )
 	{
 		Size	aNormSize;
-		long*	pOwnArray;
-		long*	pDX;
+		sal_Int32* pOwnArray;
+		sal_Int32* pDX;
 
 		// get text sizes
 		if( pDXArray )
 		{
 			pOwnArray = NULL;
 			aNormSize = Size( mpVDev->GetTextWidth( rText ), 0 );
-			pDX = (long*) pDXArray;
+			pDX = (sal_Int32*) pDXArray;
 		}
 		else
 		{	
-			pOwnArray = new long[ nLen ];
+			pOwnArray = new sal_Int32[ nLen ];
 			aNormSize = Size( mpVDev->GetTextArray( rText, pOwnArray ), 0 );
 			pDX = pOwnArray;
 		}
Index: source/svg/svgwriter.cxx
===================================================================
RCS file: /cvs/framework/filter/source/svg/svgwriter.cxx,v
retrieving revision 1.5
retrieving revision 1.5.6.1
diff -u -r1.5 -r1.5.6.1
--- source/svg/svgwriter.cxx	8 Sep 2005 21:57:04 -0000	1.5
+++ source/svg/svgwriter.cxx	19 Sep 2005 11:41:24 -0000	1.5.6.1
@@ -698,7 +698,7 @@
 // -----------------------------------------------------------------------------
 
 void SVGActionWriter::ImplWriteText( const Point& rPos, const String& rText, 
-									 const long* pDXArray, long nWidth,
+									 const sal_Int32* pDXArray, long nWidth,
 									 const NMSP_RTL::OUString* pStyle )
 {
 	long nLen = rText.Len(), i;
@@ -706,19 +706,19 @@
 	if( nLen )
 	{
 		Size	aNormSize;
-		long*	pOwnArray;
-		long*	pDX;
+		sal_Int32*	pOwnArray;
+		sal_Int32*	pDX;
 
 		// get text sizes
 		if( pDXArray )
 		{
 			pOwnArray = NULL;
 			aNormSize = Size( mpVDev->GetTextWidth( rText ), 0 );
-			pDX = (long*) pDXArray;
+			pDX = (sal_Int32*) pDXArray;
 		}
 		else
 		{	
-			pOwnArray = new long[ nLen ];
+			pOwnArray = new sal_Int32[ nLen ];
 			aNormSize = Size( mpVDev->GetTextArray( rText, pOwnArray ), 0 );
 			pDX = pOwnArray;
 		}
Index: source/svg/svgwriter.hxx
===================================================================
RCS file: /cvs/framework/filter/source/svg/svgwriter.hxx,v
retrieving revision 1.4
retrieving revision 1.4.6.1
diff -u -r1.4 -r1.4.6.1
--- source/svg/svgwriter.hxx	8 Sep 2005 21:57:21 -0000	1.4
+++ source/svg/svgwriter.hxx	19 Sep 2005 11:41:24 -0000	1.4.6.1
@@ -222,7 +222,7 @@
 	void					ImplWriteEllipse( const Point& rCenter, long nRadX, long nRadY, const ::rtl::OUString* pStyle = NULL );
 	void					ImplWritePolyPolygon( const PolyPolygon& rPolyPoly, sal_Bool bLineOnly, const ::rtl::OUString* pStyle = NULL );
 	void					ImplWriteGradientEx( const PolyPolygon& rPolyPoly, const Gradient& rGradient, const ::rtl::OUString* pStyle, sal_uInt32 nWriteFlags );
-	void					ImplWriteText( const Point& rPos, const String& rText, const long* pDXArray, long nWidth, const ::rtl::OUString* pStyle = NULL );
+	void					ImplWriteText( const Point& rPos, const String& rText, const sal_Int32* pDXArray, long nWidth, const ::rtl::OUString* pStyle = NULL );
 	void					ImplWriteBmp( const BitmapEx& rBmpEx, const Point& rPt, const Size& rSz, const Point& rSrcPt, const Size& rSrcSz, const ::rtl::OUString* pStyle = NULL );
 
 	void					ImplCheckFontAttributes();
